Skip to content

Submit my review actions

Request

OAuth 2.0 scope:
  • okta.governance.reviewer.manage

Submits actions for reviews that are assigned to you in the specified campaign.

You can specify a maximum of 50 review actions in a request.

For each review, specify the APPROVE, REVOKE, or REASSIGN action.

If you reassign a review (action=REASSIGN), you must also include the reviewerId and justification parameters. All your REASSIGN reviews must have the same reviewerId in a single request.

A successful request returns the updated reviews based on the submitted actions.

Path
campaignIdstringrequired

Unique identifier for the campaign

Bodyapplication/jsonrequired

Submit my review actions request body

reviewsArray of objects, [ 1 .. 50 ] items(review-action-item)required

List of review actions

reviewerLevelstring(reviewer-level-type)

The reviewer level for the review action. Required only for multi-level campaigns.

Enum:"FIRST""SECOND"
POST
/governance/api/v1/my/campaigns/{campaignId}/reviews/actions
curl -i -X POST \
  'https://okta-subdomain.pixtulate.com/governance/api/v1/my/campaigns/{campaignId}/reviews/actions' \
  -H 'Content-Type: application/json' \
  -d '{
    "reviews": [
      {
        "reviewId": "icraveS4pQxfJrPRa0g3",
        "action": "REVOKE",
        "note": "Reviewed during Q1 access certification"
      },
      {
        "reviewId": "icran1tBlqTx9Qdvz0g3",
        "action": "REVOKE",
        "note": "Reviewed during Q1 access certification"
      }
    ]
  }'

Responses

A successful submit-actions response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
dataArray of objects(review-sparse)required

Sparse representation of reviews

Response
The `decision` and `decided` properties are updated after two reviews were revoked.
{ "data": [ {}, {} ], "_links": { "self": {} } }